Gecode::CPProfilerSearchTracer Class Reference

Class to record search trace info for CPProfiler. More...

`#include <search.hh>`

## Classes

class | GetInfo
| Class to send solution information to CPProfiler. More...

## Public Member Functions

| CPProfilerSearchTracer (int eid, std::string name, unsigned int port=Search::Config::cpprofiler_port, const GetInfo *pgi=nullptr)
| Initialize.
virtual void | init (void)
| The search engine initializes.
virtual void | round (unsigned int eid)
| The engine with id eid goes to a next round (restart or next iteration in LDS).
virtual void | skip (const EdgeInfo &ei)
| The engine skips an edge.
virtual void | node (const EdgeInfo &ei, const NodeInfo &ni)
| The engine creates a new node with information ei and ni.
virtual void | done (void)
| All workers are done.
virtual | ~CPProfilerSearchTracer (void)
| Delete.
| SearchTracer (void)
| Initialize.
unsigned int | workers (void) const
| Return number of workers.
unsigned int | engines (void) const
| Return number of engines.
const EngineInfo & | engine (unsigned int eid) const
| Provide access to engine with id eid.
unsigned int | eid (unsigned int wid) const
| Return the engine id of a worker with id wid.
virtual | ~SearchTracer (void)
| Delete.

## Additional Inherited Members

Public Types inherited from Gecode::SearchTracer
enum | EngineType { DFS = 0 , BAB = 1 , LDS = 2 , RBS = 3 , PBS = 4 , AOE = 5 }
| Which type of engine. More...
enum | NodeType { SOLVED = 0 , FAILED = 1 , BRANCH = 2 }
| Node type. More...

## Detailed Description

Class to record search trace info for CPProfiler.

Definition at line 420 of file search.hh.

## Constructor & Destructor Documentation

## CPProfilerSearchTracer()

Gecode::CPProfilerSearchTracer::CPProfilerSearchTracer | ( | int | eid,
|  | std::string | name,
|  | unsigned int | port = Search::Config::cpprofiler_port,
|  | const GetInfo * | pgi = nullptr )

Initialize.

Definition at line 54 of file tracer.cpp.

## ~CPProfilerSearchTracer()

Gecode::CPProfilerSearchTracer::~CPProfilerSearchTracer | ( | void |  | ) |

virtual

Delete.

Definition at line 152 of file tracer.cpp.

## Member Function Documentation

## init()

void Gecode::CPProfilerSearchTracer::init | ( | void |  | ) |

virtual

The search engine initializes.

Implements Gecode::SearchTracer.

Definition at line 62 of file tracer.cpp.

## round()

void Gecode::CPProfilerSearchTracer::round | ( | unsigned int | eid | ) |

virtual

The engine with id eid goes to a next round (restart or next iteration in LDS).

Implements Gecode::SearchTracer.

Definition at line 71 of file tracer.cpp.

## skip()

void Gecode::CPProfilerSearchTracer::skip | ( | const EdgeInfo & | ei | ) |

virtual

The engine skips an edge.

Implements Gecode::SearchTracer.

Definition at line 77 of file tracer.cpp.

## node()

void Gecode::CPProfilerSearchTracer::node | ( | const EdgeInfo & | ei,
|  | const NodeInfo & | ni )

virtual

The engine creates a new node with information ei and ni.

Implements Gecode::SearchTracer.

Definition at line 99 of file tracer.cpp.

## done()

void Gecode::CPProfilerSearchTracer::done | ( | void |  | ) |

virtual

All workers are done.

Implements Gecode::SearchTracer.

Definition at line 148 of file tracer.cpp.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/cpprofiler/tracer.cpp